# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "migratio-cli"
version = "0.3.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "CLI support library for migratio database migrations"
homepage = "https://github.com/samgqroberts/migratio"
readme = false
keywords = [
    "database",
    "migration",
    "cli",
]
categories = [
    "database",
    "command-line-utilities",
]
license = "MIT"
repository = "https://github.com/samgqroberts/migratio"

[features]
default = []
mysql = [
    "migratio/mysql",
    "dep:mysql",
]
postgres = [
    "migratio/postgres",
    "dep:postgres",
]
sqlite = [
    "migratio/sqlite",
    "dep:rusqlite",
]

[lib]
name = "migratio_cli"
path = "src/lib.rs"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.migratio]
version = "0.3.0"
default-features = false

[dependencies.mysql]
version = ">=24.0, <=26.0"
optional = true

[dependencies.postgres]
version = "0.19"
optional = true

[dependencies.rusqlite]
version = ">=0.30, <=0.37"
optional = true
default-features = false
